# Uses of Class
org.springframework.util.ConcurrentReferenceHashMap.Entry

Packages that use ConcurrentReferenceHashMap.Entry
Package
Description
org.springframework.util
Miscellaneous utility classes, such as utilities for working with strings, classes, collections, reflection, etc.

## Uses of ConcurrentReferenceHashMap.Entry in org.springframework.util

Methods in org.springframework.util that return ConcurrentReferenceHashMap.Entry
Modifier and Type
Method
Description
`ConcurrentReferenceHashMap.Entry<K,V>`
ConcurrentReferenceHashMap.Reference.`get()`
Return the referenced entry, or `null` if the entry is no longer available.
Methods in org.springframework.util with parameters of type ConcurrentReferenceHashMap.Entry
Modifier and Type
Method
Description
`ConcurrentReferenceHashMap.Reference<K,V>`
ConcurrentReferenceHashMap.ReferenceManager.`createReference(ConcurrentReferenceHashMap.Entry<K,V> entry, int hash, ConcurrentReferenceHashMap.Reference<K,V> next)`
Factory method used to create a new `ConcurrentReferenceHashMap.Reference`.